
QGIS Application - Feature request #17548

Automatically populate layer metadata for WMS layers

2017-11-25 11:10 AM - James Passmore

Status: Feedback

Priority: High

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 25445

Description

When right clicking on a WMS layer in the Layers Panel and selecting properties No information or metadata is provided about the service

===

QGIS version

2.99.0-Master

QGIS code revision

cd0ba91

Compiled against Qt

5.5.1

Running against Qt

5.5.1

Compiled against GDAL/OGR

2.2.2

Running against GDAL/OGR

2.2.2

Compiled against GEOS

3.5.1-CAPI-1.9.1

Running against GEOS

3.5.1-CAPI-1.9.1 r4246

PostgreSQL Client Version

9.5.2

SpatiaLite Version

4.3.0a

QWT Version

6.1.2

PROJ.4 Version

492

QScintilla2 Version

2.9.1

This copy of QGIS writes debugging output.

History

#1 - 2017-11-25 04:01 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

how this differ from #17547 ? Thanks!
#2 - 2017-11-25 08:52 PM - James Passmore

Giovanni Manghi wrote:

Hi,

how this differ from #17547 ? Thanks!

The dialogue for the Layers panel provides a bigger dialogue window with more options, it presents an 'information' tab which is probably the same as the

dialogue window from Browser panel, but also a metadata tab.  This bug reports that (also) the metadata tab is not populated.

#3 - 2017-11-28 12:02 AM - Giovanni Manghi

- Priority changed from Normal to High

- Operating System deleted (Linux Mint 18.1 Serena (4.4.0-101-generic))

- Regression? changed from No to Yes

James Passmore wrote:

Giovanni Manghi wrote:

Hi,

how this differ from #17547 ? Thanks!

The dialogue for the Layers panel provides a bigger dialogue window with more options, it presents an 'information' tab which is probably the same

as the dialogue window from Browser panel, but also a metadata tab.  This bug reports that (also) the metadata tab is not populated.

#4 - 2018-02-13 10:59 AM - Nyall Dawson

- Subject changed from No metadata for WMS layers to Automatically populate layer metadata for WMS layers

- Tracker changed from Bug report to Feature request

This is not a bug - it's a feature request. The same WMS information as was shown in 2.x is still available, and is now shown in the larger "Information" tab

(vs the tiny tiny frame at the bottom of the metadata tab in 2.18).

The "metadata" tab in 3.0 shows ISO standard metadata for layers. In 3.0 it's not automatically populated, and requires manual data entry in order to

populate.

Accordingly - this is a feature request to automatically populate the ISO layer metadata directly from a WMS server whenever possible.
